Loading...
Searching...
No Matches
peripheral::SensorHub::DeviceInfo Struct Reference

Static (type, version) information for a SensorHub. More...

`import "SensorHub.idl";`

## Public Attributes

string | serial
| Serial number of device.
string | model
| Model name of device.
UpstreamType | upstreamType
| Hardware type (indicated a certain upstream type)
PosElement | position
| Peripheral device position element, list forms position.
int | protocolVersion
| Protocol version the hub is supporting.
int | bootVersion
| Bootcode software version.
int | appVersion
| Application code software version.
vector< HubPortInfo > | hubPortInfos
| Information about contained hub ports.

## Detailed Description

Static (type, version) information for a SensorHub.

Definition at line 40 of file SensorHub.idl.

## Member Data Documentation

## appVersion

int peripheral::SensorHub::DeviceInfo::appVersion

Application code software version.

Definition at line 47 of file SensorHub.idl.

## bootVersion

int peripheral::SensorHub::DeviceInfo::bootVersion

Bootcode software version.

Definition at line 46 of file SensorHub.idl.

## hubPortInfos

vector<HubPortInfo> peripheral::SensorHub::DeviceInfo::hubPortInfos

Information about contained hub ports.

Definition at line 48 of file SensorHub.idl.

## model

string peripheral::SensorHub::DeviceInfo::model

Model name of device.

Definition at line 42 of file SensorHub.idl.

## position

PosElement peripheral::SensorHub::DeviceInfo::position

Peripheral device position element, list forms position.

Definition at line 44 of file SensorHub.idl.

## protocolVersion

int peripheral::SensorHub::DeviceInfo::protocolVersion

Protocol version the hub is supporting.

Definition at line 45 of file SensorHub.idl.

## serial

string peripheral::SensorHub::DeviceInfo::serial

Serial number of device.

Definition at line 41 of file SensorHub.idl.

## upstreamType

UpstreamType peripheral::SensorHub::DeviceInfo::upstreamType

Hardware type (indicated a certain upstream type)

Definition at line 43 of file SensorHub.idl.

The documentation for this struct was generated from the following file:

- SensorHub.idl